class TermsModel {
  final bool status;
  final TermsData? data;

  TermsModel({required this.status, this.data});

  factory TermsModel.fromJson(Map<String, dynamic> json) {
    return TermsModel(
      status: json['status'] ?? false,
      data: json['data'] != null ? TermsData.fromJson(json['data']) : null,
    );
  }

  Map<String, dynamic> toJson() {
    return {'status': status, 'data': data?.toJson()};
  }
}

class TermsData {
  final String? title;
  final String? content;

  TermsData({this.title, this.content});

  factory TermsData.fromJson(Map<String, dynamic> json) {
    return TermsData(
      title: json['title'] ?? '',
      content: json['content'] ?? '',
    );
  }

  Map<String, dynamic> toJson() {
    return {'title': title, 'content': content};
  }
}
